package cn.estsh.i3plus.pojo.base.iface;

import java.sql.ResultSet;
import java.sql.SQLException;

/**
 * @Description : 实现此接口，对数据集进行自定义封装
 * @Reference :
 * @Author : alwaysfrin
 * @CreateDate : 2019-06-11 16:12
 * @Modify:
 **/
public interface IResultSetCall<T> {

    /**
     * 数据集默认方法
     * @param rs 数据集
     * @return 泛型对象
     * @throws SQLException
     */
    T invoke(ResultSet rs) throws SQLException;
}
