package cn.estsh.i3plus.pojo.model.report;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description :
 * @Reference :
 * @Author : Adair Peng
 * @CreateDate : 2019-01-20 14:05
 * @Modify:
 **/
@Data
public class TemplateModel {

    @ApiParam("模板ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long sourceId;

    @ApiParam("模板ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long templateId;

    @ApiParam("执行 HQL ")
    private String hql;

    @ApiParam("执行 HQL 参数名称 ")
    private String[] paramName;

    @ApiParam("执行 HQL 参数值 ")
    private Object[] paramValue;
}
