package cn.estsh.i3plus.pojo.model.wms;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.wms.bean.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 * @Description : 作业流程明细Model
 * @Reference :
 * @Author : dragon.xu
 * @CreateDate : 2019-04-29 15:39
 * @Modify:
 **/
@Data
@Api("作业流程明细Model")
public class WmsActionGroupDetailsModel {
    @ApiParam("作业流程明细")
    public WmsActionGroupDetails wmsActionGroupDetails;
    @ApiParam("作业步骤")
    public WmsActionStep wmsActionStep;
    @ApiParam("作业组件参数（可选列表）")
    public List<WmsActionModuleParam> wmsActionModuleParamList;
    @ApiParam("作业步骤调用")
    public List<WmsActionStepCall> wmsActionStepCallList;
    @ApiParam("作业步骤调用参数")
    public List<WmsActionStepCallParam> wmsActionStepCallParamList;
}
