package cn.estsh.i3plus.pojo.model.wms;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description : 单据Model
 * @Reference :
 * @Author : dragon.xu
 * @CreateDate : 2019-03-07 19:18
 * @Modify:
 **/
@Data
@Api("单据Model")
public class WmsOrderMasterModel extends BaseBean {
    @ApiParam("状态")
    public Integer orderStatus;

    @ApiParam("不同状态的小计")
    public Long statusQty;

    public WmsOrderMasterModel() {
    }
    public WmsOrderMasterModel(Integer orderStatus, Long statusQty) {
        this.orderStatus = orderStatus;
        this.statusQty =statusQty;
    }
}
