package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description : 委外材料发运
 * @Reference :
 * @Author : amy
 * @CreateDate : 2019-06-22 10:03
 * @Modify:
 **/
@Data
@Api(value = "委外材料发运", description = "委外材料发运")
public class SapCgio extends SapBase{

    @ApiParam(value = "编号")
    @AnnoOutputColumn
    private String zinstno;

    @ApiParam(value = "行号")
    @AnnoOutputColumn
    private String zeile;

    @ApiParam(value = "工厂")
    @AnnoOutputColumn
    private String werks;

    @ApiParam(value = "发（退）料库存地点")
    @AnnoOutputColumn
    private String lgort;

    @ApiParam(value = "供应商代码")
    @AnnoOutputColumn
    private String zlifnr;

    @ApiParam(value = "物料编码")
    @AnnoOutputColumn
    private String matnr;

    @ApiParam(value = "发(退）料数量")
    @AnnoOutputColumn
    private String erfmg;

    @ApiParam(value = "计量单位")
    @AnnoOutputColumn
    private String erfme;

    @ApiParam(value = "状态")
    @AnnoOutputColumn
    private String zzlzt;

    @ApiParam(value = "业务类型")
    @AnnoOutputColumn
    private String zaction;

}
