package cn.estsh.i3plus.pojo.wms.modelbean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 * @Description : 单据Model
 * @Reference :
 * @Author : dragon.xu
 * @CreateDate : 2019-03-07 19:18
 * @Modify:
 **/
@Data
@Api("数据权限Model")
public class WmsDataAuthModel extends BaseBean {

    @ApiParam("角色编号")
    private String roleCode;

    @ApiParam("数据对象")
    private Integer dataObj;

    @ApiParam("数据对象值")
    private String dataObjValue;

    @ApiParam("物料列表")
    private List<String> partList;

    @ApiParam("库位列表")
    private List<String> locateList;

    @ApiParam("仓库列表")
    private List<String> whList;

    @ApiParam("存储区列表")
    private List<String> zoneList;

    @ApiParam("交易代码列表")
    private List<String> transTypeList;

    @ApiParam(
            value = "新增操作",
            example = "0"
    )
    private Integer addOp;

    @ApiParam(
            value = "删除操作",
            example = "0"
    )
    private Integer delOp;

    @ApiParam(
            value = "修改操作",
            example = "0"
    )
    private Integer updOp;

    @ApiParam(
            value = "查询操作",
            example = "0"
    )
    private Integer queryOp;

    @ApiParam("角色名称")
    private String roleNameRdd;
}
