package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Version;

/**
 * @Description : 测试类，用来测试事务
 * @Reference :
 * @Author : alwaysfrin
 * @CreateDate : 2019-05-14 12:51
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="TEST_TRANS_USER")
@Api(value="测试用户类",description = "测试事务信息")
public class TestTransUser extends BaseBean {

    @Column(name="NAME")
    @ApiParam(value ="名称" , access ="名称")
    private String name;

    @Column(name="SALARY")
    @ApiParam(value ="金额" , access ="金额")
    private Double salary;

    /*@Version
    @ApiParam(value ="版本控制" , access ="乐观锁")
    private int version;*/
}
