package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description : 销售退货
 * @Reference :
 * @Author : amy
 * @CreateDate : 2019-06-20 13:32
 * @Modify:
 **/
@Data
@Api(value="销售退货",description = "销售退货")
public class SapRdn extends SapBase{

    @ApiParam(value = "退货交货单",example = "1")
    @AnnoOutputColumn
    private String vbeln;

    @ApiParam(value = "Item",example = "1")
    @AnnoOutputColumn
    private Integer posnr;

    @ApiParam(value = "收货工厂",example = "1")
    @AnnoOutputColumn
    private String werks;

    @ApiParam(value = "收货库存地",example = "1")
    @AnnoOutputColumn
    private String lgort;

    @ApiParam(value = "收货日期",example = "1")
    @AnnoOutputColumn
    private String lfdat;

    @ApiParam(value = "客户编码",example = "1")
    @AnnoOutputColumn
    private String kunnr;

    @ApiParam(value = "物料号",example = "1")
    @AnnoOutputColumn
    private String matnr;

    @ApiParam(value = "收货数量",example = "1")
    @AnnoOutputColumn
    private String lfimg;

    @ApiParam(value = "物料单位",example = "1")
    @AnnoOutputColumn
    private String meins;


}
